<script setup lang="ts">
import {useWeatherStore} from "@/stores/weather";
import {getIconByCondition} from "@/utils/utils";

const store = useWeatherStore();
</script>

<template>
  <section v-if="store.current.temperature"
           class="app--today grid grid-cols-2 shadow-xl rounded-md bg-gray-800">
    <div class="p-5">
      <span class="text-2xl">{{
          new Date().toLocaleDateString("en-EN", {
            weekday: "long",
            year: "numeric",
            month: "long",
            day: "numeric",
          })
        }}</span>
      <p class="mt-3">{{ store.current.wind_direction_60 }} °</p>
      <p class="mb-3">{{ store.current.wind_speed_60 }} km/h</p>
      <p title="pressure">{{ store.current.pressure_msl }} hPa</p>
      <p>{{ store.current.relative_humidity }} %</p>
    </div>
    <div class="p-5">
      <div class="flex items-center gap-8">
        <img class="w-16"
             :src="getIconByCondition(store.current.icon)"
             alt="weather-condition"/>
        <span class="text-2xl">{{ store.current.condition }}</span>
      </div>
      <p class="text-7xl relative pb-7">
        {{ store.current.temperature }}
        <span class="absolute">°</span>
      </p>
    </div>
  </section>
</template>
